Name: tclx
Version: 8.0.0b2p1
Release: 1
Group: Development/Languages/Tcl
Source: ftp://ftp.neosoft.com/pub/tcl/TclX/tclX8.0.0b2.tar.gz
Patch: tclX-8.0.0b2-notest.patch
Patch1: tclX-8.0.0b2-config.patch
Patch2: ftp://ftp.neosoft.com/pub/tcl/TclX/tclX8.0.0b2.patch1.gz
BuildRoot: /tmp/tclx-root
Copyright: BSD
Packager: Daniel Schepler <dks2@cec.wustl.edu>
Summary: extensions to tcl for POSIX systems
URL: http://www.neosoft.com/tcl/TclX.html

%define TCLX_MAJOR_VERSION 8.0.0
%define TCLX_VERSION 8.0.0b2

%description
TclX is a set of extensions to Tcl to make it more suitable for common
Unix programming tasks. It adds or enhances support for files, network
access, debugging, math, lists, and message catalogs. It can be used
with both tcl and tcl/tk applications.

%package devel
Group: Development/Languages/Tcl
Summary: Header files and static libraries for Tcl extensions

%description devel
Libraries and header files for developing C programs using and/or
extending the TclX extensions.  This package is not needed for writing
scripts using these extensions.

%package -n tkx
Group: Development/Languages/Tcl
Summary: extensions to tk for POSIX systems

%description -n tkx
TkX is an extension to Tk which includes all the TclX extensions, as
well as several Tk-specific extensions.

%package -n tkx-devel
Group: Development/Languages/Tcl
Summary: Static libraries for tkx programs

%description -n tkx-devel
Contains static libraries for C programs using and/or extending the
tkx extensions.  (The header files needed are located in tclx-devel.)

%prep
%setup -n tclX%{TCLX_VERSION}
%patch -p1
%patch1 -p1
# cd tcl/generic
# %patch2 -p0
%patch2 -p0

%build
cd unix
./configure --prefix=/usr --enable-gcc --enable-shared --with-tk
make CFLAGS="${RPM_OPT_FLAGS}"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr
cd unix
make install prefix=${RPM_BUILD_ROOT}/usr exec_prefix=${RPM_BUILD_ROOT}/usr
ln -sf libtclx%{TCLX_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib/libtclx.a
ln -sf libtclx%{TCLX_MAJOR_VERSION}.so ${RPM_BUILD_ROOT}/usr/lib/libtclx.so
ln -sf libtkx%{TCLX_MAJOR_VERSION}.a ${RPM_BUILD_ROOT}/usr/lib/libtkx.a
ln -sf libtkx%{TCLX_MAJOR_VERSION}.so ${RPM_BUILD_ROOT}/usr/lib/libtkx.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/bin/tcl
/usr/lib/libtclx%{TCLX_MAJOR_VERSION}.so
/usr/lib/tclX%{TCLX_MAJOR_VERSION}
/usr/man/mann/*
%doc CHANGES README

%files devel
/usr/include/tclExtend.h
/usr/lib/libtclx%{TCLX_MAJOR_VERSION}.a
/usr/lib/libtclx.a
/usr/lib/libtclx.so
/usr/lib/tclxConfig.sh
/usr/man/man3/Tcl*

%files -n tkx
/usr/bin/wishx
/usr/bin/tclhelp
/usr/lib/libtkx%{TCLX_MAJOR_VERSION}.so
/usr/lib/tkX%{TCLX_MAJOR_VERSION}

%files -n tkx-devel
/usr/lib/libtkx%{TCLX_MAJOR_VERSION}.a
/usr/lib/libtkx.a
/usr/lib/libtkx.so
/usr/lib/tkxConfig.sh
/usr/man/man3/Tk*
